<template>
  <div v-if="page_type == 'product'">
    <section class="page_title_product product_breadcrumb">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb" v-if="breadcrumbs.length > 0">
                <li class="breadcrumb-item" v-for="(breadcrumb, i) in breadcrumbs" :key="i"
                  :class="breadcrumb.disabled ? 'active' : ''" :aria-current="breadcrumb.disabled ? 'page' : ''">
                  <a :href="breadcrumb.href" v-if="!breadcrumb.disabled" replace>{{ breadcrumb.name }}</a>
                  <span class="grey--text" v-else>{{ breadcrumb.name }}</span>
                </li>
              </ol>
            </nav>
          </div>
        </div>
      </div>
    </section>
  </div>
  <div v-else-if="page_type == 'cart_related'">
    <section class="cms_banner">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="h1">{{ category_name }}</div>
            <div class="inner_breadcrumb"><a href="/">Home</a> | {{ category_name }}</div>
          </div>
        </div>
      </div>
    </section>
  </div>
  <div v-else>
    <section class="page_title text-center">
      <img src="/front-end/images/inner_banner.jpg">
      <div class="sub_banner_cont">
        <div class="h1">{{ category_name }}</div>
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb" v-if="breadcrumbs.length > 0">
            <li class="breadcrumb-item" v-for="(breadcrumb, i) in breadcrumbs" :key="i"
              :class="breadcrumb.disabled ? 'active' : ''" :aria-current="breadcrumb.disabled ? 'page' : ''">
              <a :href="breadcrumb.href" v-if="!breadcrumb.disabled" replace>{{ breadcrumb.name }}</a>
              <span class="grey--text" v-else>{{ breadcrumb.name }}</span>
            </li>
          </ol>
        </nav>


      </div>
    </section>
  </div>
</template>
<script>
export default {
  props: ['breadcrumbs', 'category_name', 'page_type'],
}
</script>